| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Public Member Functions | List of all members
wxPropertyGridIterator Class Reference

`#include <wx/propgrid/propgridpagestate.h>`

Inheritance diagram for wxPropertyGridIterator:
[legend]

## Public Member Functions

| wxPropertyGridIterator ()
| wxPropertyGridIterator (wxPropertyGridPageState *state, int flags=wxPG_ITERATE_DEFAULT, wxPGProperty *property=NULL, int dir=1)
| wxPropertyGridIterator (wxPropertyGridPageState *state, int flags, int startPos, int dir=0)
| wxPropertyGridIterator (const wxPropertyGridIterator &it)
| ~wxPropertyGridIterator ()
Public Member Functions inherited from wxPropertyGridIteratorBase
| wxPropertyGridIteratorBase ()
void | Assign (const wxPropertyGridIteratorBase &it)
bool | AtEnd () const
wxPGProperty * | GetProperty () const
| Get current property. More...
void | Init (wxPropertyGridPageState *state, int flags, wxPGProperty *property, int dir=1)
void | Init (wxPropertyGridPageState *state, int flags, int startPos=wxTOP, int dir=0)
void | Next (bool iterateChildren=true)
| Iterate to the next property. More...
void | Prev ()
| Iterate to the previous property. More...
void | SetBaseParent (wxPGProperty *baseParent)
| Set base parent, ie a property when, in which iteration returns, it ends. More...

## Constructor & Destructor Documentation

wxPropertyGridIterator::wxPropertyGridIterator | ( |  | ) |

wxPropertyGridIterator::wxPropertyGridIterator | ( | wxPropertyGridPageState * | state,
|  | int | flags = `wxPG_ITERATE_DEFAULT`,
|  | wxPGProperty * | property = `NULL`,
|  | int | dir = `1`
| ) |  |

wxPropertyGridIterator::wxPropertyGridIterator | ( | wxPropertyGridPageState * | state,
|  | int | flags,
|  | int | startPos,
|  | int | dir = `0`
| ) |  |

wxPropertyGridIterator::wxPropertyGridIterator | ( | const wxPropertyGridIterator & | it | ) |

wxPropertyGridIterator::~wxPropertyGridIterator | ( |  | ) |